# TaskSelector

interface TaskSelector : Launchable

Represents a Launchable that uses task name to select tasks executed from a given project and its sub-projects. This is roughly equivalent to running `gradle ` from the command-line.

#### Since

1.12

## Functions

getDescription
Link copied to clipboard
abstract fun getDescription(): @Nullable String
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
Returns the name that will be used to select tasks.
getProjectIdentifier
Link copied to clipboard
abstract fun getProjectIdentifier(): ProjectIdentifier
isPublic
Link copied to clipboard
abstract fun isPublic(): Boolean